Bug 28945 - Use Flatpickr on administration pages
Summary: Use Flatpickr on administration pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28937
Blocks: 29239
  Show dependency treegraph
 
Reported: 2021-09-02 19:06 UTC by Owen Leonard
Modified: 2022-06-06 20:25 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28945: Use Flatpickr on administration pages (6.90 KB, patch)
2021-09-03 11:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28945: Use Flatpickr on administration pages (6.95 KB, patch)
2021-09-10 10:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 28945: Use Flatpickr on administration pages (7.01 KB, patch)
2021-09-30 12:41 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-02 19:06:59 UTC
This bug will cover Flatpickr additions to these pages/files:

- admin/aqbudgetperiods.tt
- admin/aqcontract.tt
- admin/smart-rules.tt
Comment 1 Owen Leonard 2021-09-03 11:47:19 UTC
Created attachment 124460 [details] [review]
Bug 28945: Use Flatpickr on administration pages

This patch updates administration templates to use Flatpickr instead of
jQueryUI datepickers.

To test, apply the patch and test date fields on the following pages:

- Administration -> Budgets ->
  - New budget: Linked "Start date" and "End  date" fields.
  - Duplicate budget: Linked "Start date" and "End  date" fields.
- Acquisitions -> Vendor -> New contract: Linked "Start date" and "End
  date" fields.
- Administration -> Circulation and fine rules: "Hard due date" and "No
  automatic renewal after" fields.
Comment 2 David Nind 2021-09-10 10:08:21 UTC
Created attachment 124748 [details] [review]
Bug 28945: Use Flatpickr on administration pages

This patch updates administration templates to use Flatpickr instead of
jQueryUI datepickers.

To test, apply the patch and test date fields on the following pages:

- Administration -> Budgets ->
  - New budget: Linked "Start date" and "End  date" fields.
  - Duplicate budget: Linked "Start date" and "End  date" fields.
- Acquisitions -> Vendor -> New contract: Linked "Start date" and "End
  date" fields.
- Administration -> Circulation and fine rules: "Hard due date" and "No
  automatic renewal after" fields.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2021-09-30 12:41:07 UTC
Created attachment 125491 [details] [review]
Bug 28945: Use Flatpickr on administration pages

This patch updates administration templates to use Flatpickr instead of
jQueryUI datepickers.

To test, apply the patch and test date fields on the following pages:

- Administration -> Budgets ->
  - New budget: Linked "Start date" and "End  date" fields.
  - Duplicate budget: Linked "Start date" and "End  date" fields.
- Acquisitions -> Vendor -> New contract: Linked "Start date" and "End
  date" fields.
- Administration -> Circulation and fine rules: "Hard due date" and "No
  automatic renewal after" fields.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-09-30 12:41:23 UTC
Great work, PQA
Comment 5 Jonathan Druart 2021-10-06 08:37:56 UTC
Pushed to master for 21.11, thanks to everybody involved!